> ## Documentation Index
> Fetch the complete documentation index at: https://nayax-44d6e37b-docs-marshall-faq-redistribution.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Machine Basic Info

> Retrieves a list of machines based on the search criteria provided in the request body. This allows users to filter and find specific machines or groups of machines by applying various parameters.



## OpenAPI

````yaml /openapi/lynx.yaml post /v1/machines/search
openapi: 3.0.1
info:
  title: Nayax Operational Lynx API
  version: v1
servers:
  - url: https://qa-lynx.nayax.com/operational
security:
  - Authorization: []
paths:
  /v1/machines/search:
    post:
      tags:
        - Machines
      summary: Search Machine Basic Info
      description: >-
        Retrieves a list of machines based on the search criteria provided in
        the request body. This allows users to filter and find specific machines
        or groups of machines by applying various parameters.
      operationId: search-machine-basic-info
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MachineSearchRequest'
      responses:
        '200':
          description: >-
            A list of machines matching the search criteria, including their
            basic details.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MachineSearchResult'
components:
  schemas:
    MachineSearchRequest:
      type: object
      properties:
        MachineID:
          type: integer
          format: int64
          nullable: true
          description: The unique identifier of the machine to search for.
        StatusID:
          type: integer
          format: int32
          nullable: true
          description: The status identifier to filter the machines by status.
        Search:
          type: string
          nullable: true
          description: The search query string to filter machines by name or number.
      additionalProperties: false
    MachineSearchResult:
      type: object
      properties:
        typeID:
          type: integer
          format: int64
          nullable: true
          description: The type identifier associated with the machine.
        ID:
          type: string
          nullable: true
          readOnly: true
          description: The unique identifier for the machine search result.
        parentID:
          type: string
          nullable: true
          description: The parent identifier associated with the machine, if any.
        Disabled:
          type: integer
          format: int64
          nullable: true
          description: >-
            Indicator if the machine is disabled (1 for disabled, 0 for
            enabled).
        Name:
          type: string
          nullable: true
          description: The name of the machine associated with the search result.
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Enter your Bearer token. It's required to authenticate API requests.

````